Debian Bug report logs - #584380
python-gevent: FTBFS: AssertionError: u'ct.select'

version graph

Package: src:python-gevent; Maintainer for src:python-gevent is Laszlo Boszormenyi (GCS) <gcs@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 3 Jun 2010 10:29:25 UTC

Severity: serious

Tags: patch, sid, squeeze, wheezy

Found in versions python-gevent/0.12.2-4, python-gevent/0.12.2-6

Fixed in versions python-gevent/0.12.2-7, python-gevent/0.13.0-1

Done: Örjan Persson <orange@fobie.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#584380; Package src:python-gevent. (Thu, 03 Jun 2010 10:29:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Örjan Persson <orange@fobie.net>. (Thu, 03 Jun 2010 10:29:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: python-gevent: FTBFS: AssertionError: u'ct.select'
Date: Thu, 3 Jun 2010 12:08:10 +0200
Source: python-gevent
Version: 0.12.2-4
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100602 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/build/user-python-gevent_0.12.2-4-amd64-mOl9vF/python-gevent-0.12.2/doc'
> sphinx-build -b html -d _build/doctrees   . _build/html
> Making output directory...
> Running Sphinx v0.6.6
> Linking ../changelog.rst to changelog.rst
> loading pickled environment... not found
> WARNING: intersphinx inventory 'http://docs.python.org/dev/objects.inv' not fetchable due to <class 'urllib2.URLError'>: <urlopen error (101, 'Network is unreachable')>
> building [html]: targets for 18 source files that are out of date
> updating environment: 18 added, 0 changed, 0 removed
> reading sources... [  5%] changelog
> reading sources... [ 11%] contents
> reading sources... [ 16%] gevent
> reading sources... [ 22%] gevent.core
> reading sources... [ 27%] gevent.dns
> reading sources... [ 33%] gevent.event
> reading sources... [ 38%] gevent.http
> reading sources... [ 44%] gevent.hub
> reading sources... [ 50%] gevent.monkey
> reading sources... [ 55%] gevent.pool
> reading sources... [ 61%] gevent.queue
> reading sources... [ 66%] gevent.rawgreenlet
> reading sources... [ 72%] gevent.socket
> reading sources... [ 77%] gevent.ssl
> reading sources... [ 83%] gevent.util
> reading sources... [ 88%] gevent.wsgi
> reading sources... [ 94%] intro
> reading sources... [100%] reference
> 
> /build/user-python-gevent_0.12.2-4-amd64-mOl9vF/python-gevent-0.12.2/gevent/hub.py:docstring of gevent.hub.Waiter:7: (WARNING/2) Inline interpreted text or phrase reference start-string without end-string.
> /build/user-python-gevent_0.12.2-4-amd64-mOl9vF/python-gevent-0.12.2/doc/gevent.ssl.rst:4: (WARNING/2) autodoc can't import/find module 'gevent.ssl', it reported error: "No module named ssl", please check your spelling and sys.path
> looking for now-outdated files... none found
> pickling environment... done
> /build/user-python-gevent_0.12.2-4-amd64-mOl9vF/python-gevent-0.12.2/doc/gevent.hub.rst:: WARNING: document isn't included in any toctree
> /build/user-python-gevent_0.12.2-4-amd64-mOl9vF/python-gevent-0.12.2/doc/gevent.rawgreenlet.rst:: WARNING: document isn't included in any toctree
> /build/user-python-gevent_0.12.2-4-amd64-mOl9vF/python-gevent-0.12.2/doc/gevent.ssl.rst:: WARNING: document isn't included in any toctree
> checking consistency... done
> preparing documents... done
> writing output... [  5%] changelog
> Resolved missing-reference: :  mod:`socket` -> gevent.socket.html#gevent.socket.socket
> Resolved missing-reference: : meth:`socket.recv` -> gevent.socket.html#gevent.socket.socket.recv
> Resolved missing-reference: : meth:`socket.send` -> gevent.socket.html#gevent.socket.socket.send
> Resolved missing-reference: :  mod:`gevent.dns` -> gevent.dns.html
> Resolved missing-reference: :  mod:`gevent.wsgi` -> gevent.wsgi.html
> Resolved missing-reference: : func:`gethostbyname` -> gevent.socket.html#gevent.socket.gethostbyname
> Resolved missing-reference: : func:`getaddrinfo` -> gevent.socket.html#gevent.socket.getaddrinfo
> Resolved missing-reference: : meth:`socket.connect_ex` -> gevent.socket.html#gevent.socket.socket.connect_ex
> Resolved missing-reference: : meth:`socket.dup` -> gevent.socket.html#gevent.socket.socket.dup
> Resolved missing-reference: :class:`socket` -> gevent.socket.html#gevent.socket.socket
> Resolved missing-reference: : func:`socket.connect` -> gevent.socket.html#gevent.socket.socket.connect
> Resolved missing-reference: : func:`socket.send` -> gevent.socket.html#gevent.socket.socket.send
> Resolved missing-reference: : func:`socket.sendall` -> gevent.socket.html#gevent.socket.socket.sendall
> Resolved missing-reference: : meth:`JoinableQueue.task_done` -> gevent.queue.html#gevent.queue.JoinableQueue.task_done
> Resolved missing-reference: :class:`Hub` -> gevent.hub.html#gevent.hub.Hub
> Resolved missing-reference: : meth:`Queue.empty` -> gevent.queue.html#gevent.queue.Queue.empty
> Resolved missing-reference: : meth:`Queue.full` -> gevent.queue.html#gevent.queue.Queue.full
> Resolved missing-reference: :  mod:`Queue` -> gevent.queue.html#gevent.queue.Queue
> Resolved missing-reference: : meth:`Queue.get` -> gevent.queue.html#gevent.queue.Queue.get
> Resolved missing-reference: : meth:`Queue.put` -> gevent.queue.html#gevent.queue.Queue.put
> Resolved missing-reference: : meth:`Queue.qsize` -> gevent.queue.html#gevent.queue.Queue.qsize
> Resolved missing-reference: :class:`Event` -> gevent.event.html#gevent.event.Event
> Resolved missing-reference: : meth:`Event.set` -> gevent.event.html#gevent.event.Event.set
> Resolved missing-reference: :class:`AsyncResult` -> gevent.event.html#gevent.event.AsyncResult
> Resolved missing-reference: : meth:`Pool.spawn` -> gevent.pool.html#gevent.pool.Pool.spawn
> Resolved missing-reference: : meth:`Event.wait` -> gevent.event.html#gevent.event.Event.wait
> Resolved missing-reference: : meth:`AsyncResult.set_exception` -> gevent.event.html#gevent.event.AsyncResult.set_exception
> Resolved missing-reference: :  mod:`gevent.core` -> gevent.core.html
> Resolved missing-reference: :class:`wrap_errors` -> gevent.util.html#gevent.util.wrap_errors
> Resolved missing-reference: :  mod:`gevent.util` -> gevent.util.html
> Resolved missing-reference: :class:`LifoQueue` -> gevent.queue.html#gevent.queue.LifoQueue
> Resolved missing-reference: :class:`PriorityQueue` -> gevent.queue.html#gevent.queue.PriorityQueue
> Resolved missing-reference: :class:`active_event` -> gevent.core.html#gevent.core.active_event
> Resolved missing-reference: : attr:`event.fd` -> gevent.core.html#gevent.core.event.fd
> Resolved missing-reference: : attr:`event.events` -> gevent.core.html#gevent.core.event.events
> Resolved missing-reference: : attr:`event.events_str` -> gevent.core.html#gevent.core.event.events_str
> Resolved missing-reference: : attr:`event.flags` -> gevent.core.html#gevent.core.event.flags
> Resolved missing-reference: :class:`event` -> gevent.core.html#gevent.core.event
> Resolved missing-reference: : attr:`event.callback` -> gevent.core.html#gevent.core.event.callback
> Resolved missing-reference: :class:`DispatchExit` -> gevent.hub.html#gevent.hub.DispatchExit
> Resolved missing-reference: :  mod:`gevent.monkey` -> gevent.monkey.html
> writing output... [ 11%] contents
> writing output... [ 16%] gevent
> writing output... [ 22%] gevent.core
> writing output... [ 27%] gevent.dns
> writing output... [ 33%] gevent.event
> writing output... [ 38%] gevent.http
> writing output... [ 44%] gevent.hub
> writing output... [ 50%] gevent.monkey
> writing output... [ 55%] gevent.pool
> writing output... [ 61%] gevent.queue
> writing output... [ 66%] gevent.rawgreenlet
> writing output... [ 72%] gevent.socket
> Resolved missing-reference: : func:`resolve_ipv4` -> gevent.dns.html#gevent.dns.resolve_ipv4
> Resolved missing-reference: : func:`resolve_ipv6` -> gevent.dns.html#gevent.dns.resolve_ipv6
> Resolved missing-reference: :class:`DNSError` -> gevent.dns.html#gevent.dns.DNSError
> writing output... [ 77%] gevent.ssl
> writing output... [ 83%] gevent.util
> 
> Exception occurred:
>   File "./mysphinxext.py", line 52, in missing_reference
>     assert stripped_aliasname[0] == '.', repr(stripped_aliasname)
> AssertionError: u'ct.select'
> The full traceback has been saved in /tmp/sphinx-err-b3xpqz.log, if you want to report the issue to the developers.
> Please also report this if it was a user error, so that a better error message can be provided next time.
> Either send bugs to the mailing list at <http://groups.google.com/group/sphinx-dev/>,
> or report them in the tracker at <http://bitbucket.org/birkenfeld/sphinx/issues/>. Thanks!
> make[2]: *** [html] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/06/02/python-gevent_0.12.2-4_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Reply sent to Örjan Persson <orange@fobie.net>:
You have taken responsibility. (Mon, 14 Jun 2010 18:24:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 14 Jun 2010 18:24:07 GMT) Full text and rfc822 format available.

Message #10 received at 584380-done@bugs.debian.org (full text, mbox):

From: Örjan Persson <orange@fobie.net>
To: 584380-done@bugs.debian.org
Subject: Re: Bug#584380: python-gevent: FTBFS: AssertionError: u'ct.select'
Date: Mon, 14 Jun 2010 20:14:07 +0200
[Message part 1 (text/plain, inline)]
I'm closing this bug since I can't reproduce this and the build system
manages to build version 0.12.2-5 which was uploaded a few days ago.

Please re-open this bug if you manage to reproduce this.

Thanks!
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Jul 2010 07:39:39 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 04 Sep 2010 19:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#584380; Package src:python-gevent. (Sat, 04 Sep 2010 20:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Sat, 04 Sep 2010 20:48:02 GMT) Full text and rfc822 format available.

Message #19 received at 584380@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 584380@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug#584380: python-gevent: FTBFS: AssertionError: u'ct.select'
Date: Sat, 4 Sep 2010 21:46:11 +0200
[Message part 1 (text/plain, inline)]
reopen 584380 
found 584380 0.12.2-6
thanks

>I'm closing this bug since I can't reproduce this and the build system
>manages to build version 0.12.2-5 which was uploaded a few days ago.

I can reproduce the bug in a clean, up-to-date i386 sid chroot.

The full traceback is:
# Sphinx version: 0.6.6
# Docutils version: 0.7 release
Traceback (most recent call last):
   File "/usr/lib/pymodules/python2.6/sphinx/cmdline.py", line 170, in main
     app.build(all_files, filenames)
   File "/usr/lib/pymodules/python2.6/sphinx/application.py", line 136, in build
     self.builder.build_update()
   File "/usr/lib/pymodules/python2.6/sphinx/builders/__init__.py", line 265, in build_update
     'out of date' % len(to_build))
   File "/usr/lib/pymodules/python2.6/sphinx/builders/__init__.py", line 320, in build
     self.write(docnames, list(updated_docnames), method)
   File "/usr/lib/pymodules/python2.6/sphinx/builders/__init__.py", line 358, in write
     doctree = self.env.get_and_resolve_doctree(docname, self)
   File "/usr/lib/pymodules/python2.6/sphinx/environment.py", line 1008, in get_and_resolve_doctree
     self.resolve_references(doctree, docname, builder)
   File "/usr/lib/pymodules/python2.6/sphinx/environment.py", line 1318, in resolve_references
     'missing-reference', self, node, contnode)
   File "/usr/lib/pymodules/python2.6/sphinx/application.py", line 232, in emit_firstresult
     for result in self.emit(event, *args):
   File "/usr/lib/pymodules/python2.6/sphinx/application.py", line 228, in emit
     result.append(callback(self, *args))
   File "./mysphinxext.py", line 52, in missing_reference
     assert stripped_aliasname[0] == '.', repr(stripped_aliasname)
AssertionError: u'ct.select'

>Please re-open this bug if you manage to reproduce this.

Doing so.

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 04 Sep 2010 20:48:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions python-gevent/0.12.2-6. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 04 Sep 2010 20:48:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#584380; Package src:python-gevent. (Mon, 06 Sep 2010 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Sullivan <john@wjsullivan.net>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Mon, 06 Sep 2010 01:45:03 GMT) Full text and rfc822 format available.

Message #28 received at 584380@bugs.debian.org (full text, mbox):

From: John Sullivan <john@wjsullivan.net>
To: 584380@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug#584380: python-gevent: FTBFS: AssertionError: u'ct.select'
Date: Sun, 05 Sep 2010 18:04:18 -0700

Information forwarded to debian-bugs-dist@lists.debian.org, Örjan Persson <orange@fobie.net>:
Bug#584380; Package src:python-gevent. (Mon, 06 Sep 2010 01:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Sullivan <john@wjsullivan.net>:
Extra info received and forwarded to list. Copy sent to Örjan Persson <orange@fobie.net>. (Mon, 06 Sep 2010 01:57:03 GMT) Full text and rfc822 format available.

Message #33 received at 584380@bugs.debian.org (full text, mbox):

From: John Sullivan <john@wjsullivan.net>
To: 584380@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug#584380: python-gevent: FTBFS: AssertionError: u'ct.select'
Date: Sun, 05 Sep 2010 18:51:07 -0700
[Message part 1 (text/plain, inline)]
tags 584380 patch
thanks

I was also able to reproduce this in a clean sid chroot (and with
pbuilder).

The first attached one line patch allows it to build for me, and fixes
several other issues in the HTML documentation cross-references. The
version of python-sphinx in the archive (outside experimental) right now
is old, and isn't understanding the "Sphinx inventory version 2" now
being used at http://docs.python.org/dev/objects.inv. So in addition to
the build failure, none of the cross references meant to point to
docs.python.org were working.

The patch switches the intersphinx mapping to
http://docs.python.org/objects.inv, which is still "Sphinx inventory
version 1", which works with our version of python-sphinx. I don't see
any downside for python-gevent in pointing to the released docs instead
of the dev docs.

However, the build still fails if there is no internet access, which
doesn't seem good. In that case, it can't find the cross-reference
target in the Python docs, and so it looks in its own local code, which
fails because:

"stripped_aliasname = i_aliasname[len(docname):]" 

does not return the expected result for the gevent.select.select section
of gevent.util.rst (and maybe for other sections/files as well), which
causes the subsequent assertion to fail.

I tried to fix the logic, but wasn't able to in a reasonable amount of
time. I suggest just removing the "assert" statement -- it does not make
sense that the entire build should fail just because some documentation
cross-references could not be completed accurately. Bugs can be filed
about the specific wrong/missing cross-references as they are
encountered. Missing references are definitely not RC bugs.

The second one-line patch removes the assertion, so the package builds
even with no internet connection, and I think this bug can be closed.

[py-intersphinx-mapping-fix.patch (text/x-diff, inline)]
--- python-gevent-0.12.2/doc/conf.py	2010-09-05 14:51:13.000000000 -0700
+++ my-python-gevent-0.12.2/doc/conf.py	2010-09-05 14:45:19.000000000 -0700
@@ -35,7 +35,7 @@
 # coming with Sphinx (named 'sphinx.ext.*') or your custom ones.
 extensions = ['sphinx.ext.autodoc', 'sphinx.ext.doctest', 'sphinx.ext.coverage', 'sphinx.ext.intersphinx', 'mysphinxext']
 
-intersphinx_mapping = {'http://docs.python.org/dev': None}
+intersphinx_mapping = {'http://docs.python.org/': None}
 
 # Add any paths that contain templates here, relative to this directory.
 templates_path = ['_templates']
[remove-assert.patch (text/x-diff, inline)]
--- python-gevent-0.12.2/doc/mysphinxext.py	2010-04-04 09:47:13.000000000 -0700
+++ my-python-gevent-0.12.2/doc/mysphinxext.py	2010-09-05 17:50:34.000000000 -0700
@@ -49,7 +49,6 @@
             if i_aliasname.endswith(target):
                 stripped_aliasname = i_aliasname[len(docname):]
                 if stripped_aliasname:
-                    assert stripped_aliasname[0] == '.', repr(stripped_aliasname)
                     stripped_aliasname = stripped_aliasname[1:]
                     if stripped_aliasname == target:
                         if noisy >= 1:
[Message part 4 (text/plain, inline)]
-- 
-John Sullivan
-http://wjsullivan.net


Added tag(s) patch. Request was from John Sullivan <john@wjsullivan.net> to control@bugs.debian.org. (Mon, 06 Sep 2010 01:57:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Örjan Persson <orange@fobie.net> to control@bugs.debian.org. (Mon, 06 Sep 2010 19:15:09 GMT) Full text and rfc822 format available.

Reply sent to Örjan Persson <orange@fobie.net>:
You have taken responsibility. (Fri, 10 Sep 2010 14:51:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 10 Sep 2010 14:51:03 GMT) Full text and rfc822 format available.

Message #42 received at 584380-close@bugs.debian.org (full text, mbox):

From: Örjan Persson <orange@fobie.net>
To: 584380-close@bugs.debian.org
Subject: Bug#584380: fixed in python-gevent 0.12.2-7
Date: Fri, 10 Sep 2010 14:48:08 +0000
Source: python-gevent
Source-Version: 0.12.2-7

We believe that the bug you reported is fixed in the latest version of
python-gevent, which is due to be installed in the Debian FTP archive:

python-gevent-dbg_0.12.2-7_amd64.deb
  to main/p/python-gevent/python-gevent-dbg_0.12.2-7_amd64.deb
python-gevent-doc_0.12.2-7_all.deb
  to main/p/python-gevent/python-gevent-doc_0.12.2-7_all.deb
python-gevent_0.12.2-7.debian.tar.gz
  to main/p/python-gevent/python-gevent_0.12.2-7.debian.tar.gz
python-gevent_0.12.2-7.dsc
  to main/p/python-gevent/python-gevent_0.12.2-7.dsc
python-gevent_0.12.2-7_amd64.deb
  to main/p/python-gevent/python-gevent_0.12.2-7_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584380@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Örjan Persson <orange@fobie.net> (supplier of updated python-gevent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 06 Sep 2010 20:39:02 +0200
Source: python-gevent
Binary: python-gevent-dbg python-gevent-doc python-gevent
Architecture: source amd64 all
Version: 0.12.2-7
Distribution: testing-proposed-updates
Urgency: low
Maintainer: Örjan Persson <orange@fobie.net>
Changed-By: Örjan Persson <orange@fobie.net>
Description: 
 python-gevent - gevent is a coroutine-based Python networking library
 python-gevent-dbg - gevent is a coroutine-based Python networking library - debugging
 python-gevent-doc - gevent is a coroutine-based Python networking library - documenta
Closes: 584380
Changes: 
 python-gevent (0.12.2-7) testing-proposed-updates; urgency=low
 .
   * Fixed a build problem with sphinx generation when no internet connection
     where available. Thanks to Jakub Wilk for reporting the problem and
     John Sullivan for patch (Closes: #584380).
   * Fixed documentation reference problems. Thanks to John Sullivan for patch.
Checksums-Sha1: 
 c957179831cc6a2dfd2b6c9b32269466cc9c8b15 1298 python-gevent_0.12.2-7.dsc
 e9e98b2990b042aae1d738d477c0af7cfdc0433c 5315 python-gevent_0.12.2-7.debian.tar.gz
 97fea2addc13e638fca2d1360108011edaaabfef 186820 python-gevent-dbg_0.12.2-7_amd64.deb
 a3e6cb2a2279e2d028ba330193d79f27f14871a5 84404 python-gevent-doc_0.12.2-7_all.deb
 cb252f800426022b58057f3f1738498f1c93b26d 195386 python-gevent_0.12.2-7_amd64.deb
Checksums-Sha256: 
 62dbf0127420cd4f379f9c83dd466d983856611b01b0ccfa83d7b747b4577287 1298 python-gevent_0.12.2-7.dsc
 653308eacdcf157cfc2388bbdc88da08252cdfec35c5e6096d12e8765b52a1e1 5315 python-gevent_0.12.2-7.debian.tar.gz
 afe423c71fa93a84eed603aa5facf5ccc7c93c84ea4e6e505cecbe4e65874983 186820 python-gevent-dbg_0.12.2-7_amd64.deb
 9c8b290c689608e70c1430649c10a19972ff219e9756f113b915a5edbcc9ae08 84404 python-gevent-doc_0.12.2-7_all.deb
 373c4a2be731f3b9c704a7f5309615fd918b4470845eb9deaa9049d3235af437 195386 python-gevent_0.12.2-7_amd64.deb
Files: 
 e47c0c97ffb79ab6dee8683fc021337c 1298 python extra python-gevent_0.12.2-7.dsc
 f6846f8265b885524b9225154c0e1ae6 5315 python extra python-gevent_0.12.2-7.debian.tar.gz
 877c6f896fc315864f9939ad84d4ec27 186820 debug extra python-gevent-dbg_0.12.2-7_amd64.deb
 5d6b54d17cc099ffee23d3c25d1d6e1b 84404 doc optional python-gevent-doc_0.12.2-7_all.deb
 6e6655777ec74a4233ba7682596de4e5 195386 python extra python-gevent_0.12.2-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEAREDAAYFAkyKNssACgkQ8g+sC3uDV+UCnACggvHvu4tjFhXCwjRS/ZJjPFEk
9f8An11KHlqGHGUvOFuSC7nxyrJsYyrX
=j5u2
-----END PGP SIGNATURE-----





Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:13 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions python-gevent/0.13.0-1. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 15 May 2011 13:03:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 13 Jun 2011 07:43:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:26:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.